Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.project
Interface ProjectInformation

    public interface ProjectInformation

General information about a project. Use `ProjectUtils.getInformation(org.netbeans.api.project.Project)` as a client. Use `Project.getLookup()` as a provider.

Field Summary
`static String` | `PROP_DISPLAY_NAME` Property name fired when the display name changes.
`static String` | `PROP_ICON` Property name fired when the icon changes.
`static String` | `PROP_NAME` Property name fired when the code name changes.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a listener to property changes.
`String` | `getDisplayName()` Get a human-readable display name for the project.
`Icon` | `getIcon()` Gets icon for given project.
`String` | `getName()` Get a programmatic code name suitable for use in build scripts or other references.
`Project` | `getProject()` Get the associated project.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a listener to property changes.

Field Detail

### PROP_NAME

    static final String PROP_NAME

  Property name fired when the code name changes.

  See Also:
    Constant Field Values

### PROP_DISPLAY_NAME

    static final String PROP_DISPLAY_NAME

  Property name fired when the display name changes.

  See Also:
    Constant Field Values

### PROP_ICON

    static final String PROP_ICON

  Property name fired when the icon changes.

  See Also:
    Constant Field Values

Method Detail

### getName

    String getName()

  Get a programmatic code name suitable for use in build scripts or other references.

  Project names should typically be distinctive enough to distinguish between different projects with some kind of relationships, but any usage of this name must take into account that they are not forced to be unique.

  Should not contain odd characters; should be usable as a directory name on disk, as (part of) an Ant property name, etc. XXX precise format - at least conforms to XML NMTOKEN or ID

  Returns:
    a code name
  See Also:
    `PropertyUtils.getUsablePropertyName`

### getDisplayName

    String getDisplayName()

  Get a human-readable display name for the project. May contain spaces, international characters, etc. XXX precise format - probably XML PCDATA

  Returns:
    a display name for the project

### getIcon

    Icon getIcon()

  Gets icon for given project. Usually determined by the project type.

  Returns:
    icon of the project.

### getProject

    Project getProject()

  Get the associated project.

  Returns:
    the project for which information is being provided

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)

  Add a listener to property changes. Only `PROP_NAME`, `PROP_DISPLAY_NAME`, and `PROP_ICON` may be fired. Since the event source is the info object, you may use `getProject()`.

  Parameters:
    `listener` - a listener to add

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a listener to property changes.

  Parameters:
    `listener` - a listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.